# General Translation Platform: 获取项目信息
URL: https://generaltranslation.com/zh/docs/platform/openapi/reference/project/project-info.mdx
Docs index: https://generaltranslation.com/llms.txt
Description: 读取已认证项目的名称、组织 ID、区域设置和自动审批设置。获取项目信息的 API 参考。

{/* 此文件由 Fumadocs 自动生成。请勿直接编辑此文件。任何更改都应通过重新运行生成命令来完成。 */}

## Endpoint

`GET https://api.gtx.dev/v2/project/info/{projectId}`

**Operation ID:** `getProjectInfo`

**Tags:** `Project`

**Summary:** Get Project information

Read the authenticated Project's name, Organization ID, locale settings, and auto-approval setting.

Authentication: required. Send an API key in the `Authorization: Bearer <key>` header when authenticating.

### Parameters

- `projectId` (path, string, required)
- `gt-api-version` (header, "2025-01-01.v0" | "2025-11-03.v1" | "2026-02-18.v1" | "2026-03-06.v1", optional): API contract version. Defaults to the oldest supported version.
- `gt-project-id` (header, string, optional): Target project ID when no project ID is present in the path. Project API keys default to their bound project. If supplied, the header must match both the path target and the key’s bound project.

### Responses

**200**: Project information
Response body (`application/json`, object):
- `id` (string, required)
- `name` (string, required)
- `orgId` (string, required)
- `defaultLocale` (string, required)
- `currentLocales` (string[], required)
- `autoApprove` (boolean, required)

**400**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**401**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**403**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**404**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**429**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**500**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

Complete OpenAPI 3.1 specification: https://generaltranslation.com/openapi.yaml

OpenAPI schema: [openapi.json](https://generaltranslation.com/openapi.json)

## Sitemap

See the full [sitemap](https://generaltranslation.com/sitemap.md) for all pages.
